namespace HRD.WebApi.DAL
{
    public abstract class BaseEntityCore : IBaseEntityCore
    {
        public virtual int GetEntityId() => 0;

        public override string ToString()
        {
            return $"Id: {GetEntityId()}; {this.GetType().Name}";
        }

        public virtual string EntityInfo()
        {
            return ToString();
        }
    }
}